apiVersion: quay.redhat.com/v1
kind: QuayRegistry
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"quay.redhat.com/v1","kind":"QuayRegistry","metadata":{"annotations":{},"name":"dev","namespace":"registry"},"spec":{"components":[{"kind":"quay","managed":true},{"kind":"postgres","managed":true},{"kind":"clair","managed":true},{"kind":"redis","managed":true},{"kind":"horizontalpodautoscaler","managed":true},{"kind":"objectstorage","managed":true},{"kind":"route","managed":true},{"kind":"mirror","managed":true},{"kind":"monitoring","managed":true},{"kind":"tls","managed":true},{"kind":"clairpostgres","managed":false}],"configBundleSecret":"config-bundle-secret"}}
  creationTimestamp: "2022-07-29T08:11:25Z"
  finalizers:
  - quay-operator/finalizer
  generation: 4
  name: dev
  namespace: registry
  resourceVersion: "398402985"
  uid: 0d0cadf0-880c-4a80-bb3d-9ac876fcca0e
spec:
  components:
  - kind: quay
    managed: true
  - kind: postgres
    managed: true
  - kind: clair
    managed: true
  - kind: redis
    managed: true
  - kind: horizontalpodautoscaler
    managed: true
  - kind: objectstorage
    managed: true
  - kind: route
    managed: true
  - kind: mirror
    managed: true
  - kind: monitoring
    managed: true
  - kind: tls
    managed: true
  - kind: clairpostgres
    managed: false
  configBundleSecret: config-bundle-secret
status:
  conditions:
  - lastTransitionTime: "2022-07-29T08:11:29Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Horizontal pod autoscaler found
    reason: ComponentReady
    status: "True"
    type: ComponentHPAReady
  - lastTransitionTime: "2022-07-29T08:11:29Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Route admitted
    reason: ComponentReady
    status: "True"
    type: ComponentRouteReady
  - lastTransitionTime: "2022-07-29T08:11:29Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: ServiceMonitor and PrometheusRules created
    reason: ComponentReady
    status: "True"
    type: ComponentMonitoringReady
  - lastTransitionTime: "2022-12-07T14:27:18Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Deployment dev-quay-database healthy
    reason: ComponentReady
    status: "True"
    type: ComponentPostgresReady
  - lastTransitionTime: "2022-07-29T08:11:29Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Object bucket claim bound
    reason: ComponentReady
    status: "True"
    type: ComponentObjectStorageReady
  - lastTransitionTime: "2022-12-13T12:09:07Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Deployment dev-clair-app has zero replicas available
    reason: ComponentNotReady
    status: "False"
    type: ComponentClairReady
  - lastTransitionTime: "2022-07-29T08:11:29Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: ClairPostgres not managed by the operator
    reason: ComponentNotManaged
    status: "True"
    type: ComponentClairPostgresReady
  - lastTransitionTime: "2022-08-10T12:03:25Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Using cluster wildcard certs
    reason: ComponentReady
    status: "True"
    type: ComponentTLSReady
  - lastTransitionTime: "2022-12-07T14:28:03Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Deployment dev-quay-redis healthy
    reason: ComponentReady
    status: "True"
    type: ComponentRedisReady
  - lastTransitionTime: "2022-12-13T12:09:07Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Awaiting for component clair to become available
    reason: ComponentNotReady
    status: "False"
    type: ComponentQuayReady
  - lastTransitionTime: "2022-12-13T12:09:07Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Awaiting for component quay to become available
    reason: ComponentNotReady
    status: "False"
    type: ComponentMirrorReady
  - lastTransitionTime: "2022-12-13T12:09:07Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: Some components are not ready
    reason: ComponentNotReady
    status: "False"
    type: Available
  - lastTransitionTime: "2022-12-07T14:44:25Z"
    lastUpdateTime: "2022-12-07T14:44:25Z"
    message: All registry components created
    reason: ComponentsCreationSuccess
    status: "True"
    type: ComponentsCreated
  - lastTransitionTime: "2022-12-13T13:59:07Z"
    lastUpdateTime: "2022-12-13T13:59:07Z"
    message: All objects created/updated successfully
    reason: ComponentsCreationSuccess
    status: "False"
    type: RolloutBlocked
  configEditorCredentialsSecret: dev-quay-config-editor-credentials-9gd79hg9f9
  configEditorEndpoint: https://dev-quay-config-editor-registry.apps.k8sdevint.fzg.local
  currentVersion: v3.8.0
  lastUpdated: 2022-12-13 13:59:07.207457902 +0000 UTC
  registryEndpoint: https://dev-quay-registry.apps.k8sdevint.fzg.local
